#
# spec file for package ltxml (Version 1.2)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         ltxml
Summary:      LT XML: An integrated set of XML tools
Version:      1.2
Release:      130
Group: Applications/Publishing
#Requires: 
#Provides: 
Copyright: GPL
URL: http://www.ltg.ed.ac.uk/software/xml/
Source0: ftp://ftp.cogsci.ed.ac.uk/pub/LTXML/ltxml-%{version}.tar.gz
%define pyltxml PyLTXML-%{version}.tar.gz
Source1: ftp://ftp.cogsci.ed.ac.uk/pub/LTXML/PyLTXML-%{version}.tar.gz
#Patch: 
BuildRoot: /var/tmp/ltxml-root

%description
LT XML is an integrated set of XML tools and a developers' tool-kit,
including a C-based API.
The LT XML tool-kit includes stand-alone tools for a wide range of
processing of well-formed XML documents, including searching and
extracting, down-translation (e.g. report generation, formatting),
tokenising and sorting.
For special purposes beyond what the pre-constructed tools can achieve,
extending their functionality and/or creating new tools is easy using
the LT XML API. Minimal applications require less than one-half page of
C code to express.
LT XML provides two views of an XML file; one as a flat stream of markup
elements and text; a second as a sequence of tree-structured XML
elements. The two views can be mixed, allowing great flexibility in the
manipulation of XML documents. It also includes a powerful, yet simple,
querying language, which allows the user to quickly and easily select
those parts of an XML document which are of interest.

Authors:
--------
    Richard Tobin <richard@cogsci.ed.ac.uk>

SuSE series: sgm

%define INSTALL install -m755 -s
%define INSTALL_SCRIPT install -m755
%define INSTALL_DIR install -d -m755
%define INSTALL_DATA install -m644
%prep
%setup -q
#%setup -n pyltxml -c -a 1 -D -T
mkdir pyltxml && cd pyltxml && tar xzf $RPM_SOURCE_DIR/%{pyltxml}
# %patch

%build
mkdir build
cd build
CFLAGS="$RPM_OPT_FLAGS" LDFLAGS=-s \
  ../XML/configure --prefix=%{_prefix} --mandir=%{_mandir} \
                   --enable-multi-byte \
                   %{_target_cpu}-suse-linux-gnu
make all
# make test
# CFLAGS=$RPM_OPT_FLAGS \
#   ./configure --prefix=/usr %{_target_cpu}-suse-linux-gnu
# make "CFLAGS=$RPM_OPT_FLAGS" # LDFLAGS=-s

%install
if [ ! "x" = "x$RPM_BUILD_ROOT" ] ; then
   rm -fr $RPM_BUILD_ROOT
   %{INSTALL_DIR} $RPM_BUILD_ROOT
fi
cd build
make install prefix=$RPM_BUILD_ROOT%{_prefix} \
             MANDIR=$RPM_BUILD_ROOT%{_mandir}
# make install.man

%clean
# rm -fr $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc COPYING 00*
%doc XML/doc/xmldoc.html
%{_prefix}/bin/*
%{_mandir}/*/*
%{_prefix}/lib/*
%{_prefix}/include/*
# spec file ends here

%changelog -n ltxml
* Mon Oct 02 2000 - ke@suse.de
- Initial SuSE package, version 1.2.
